Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 4.2.1

Description

The icons in the context menu in the issues/datatable are repeating. See screenshot.

Occured for me at least with 4.2.1 and 4.2.2

Adding the following css style to context_menu.css fixed it for me:

#context-menu a {

    background-repeat: no-repeat;

    ...

}

History

#1 - 2021-08-25 15:41 - Mischa The Evil

- Description updated

- Status changed from New to Needs feedback

- Assignee set to Thomas Zauner

- Affected version changed from 4.2.2 to 4.2.1

That looks weird. What theme are you using? Is it one that's developed by a third-party? Then it might be incompatible with Redmine 4.2.x.

Furthermore, are you using any plugins? They can cause issues like these too.

So, please test this without running plugins and custom themes to see if it can be reproduced still and let us know the result.

#2 - 2021-08-26 08:24 - Thomas Zauner

Thanks for the hint. I just tried a fresh docker redmine:4.2.2 and it works there.

We just have 3 themes shipped with redmine (Standard, Alternate, Classic)

It was an old plugin we used in redmine 3.x already.

I was not aware of this, but the old plugin broke the context menu (css styling, missing entries).

Without the plugin (redmine_archive_issue_categories), it looks like fine now. Thanks!

This issue can be closed.

#3 - 2021-08-26 09:38 - Mischa The Evil

- Status changed from Needs feedback to Closed

- Assignee deleted (Thomas Zauner)

- Resolution set to Invalid

Thomas Zauner wrote:

[...]

It was an old plugin we used in redmine 3.x already.

I was not aware of this, but the old plugin broke the context menu (css styling, missing entries).

Without the plugin (redmine_archive_issue_categories), it looks like fine now. Thanks!

This issue can be closed.
 Thanks for the feedback. I'll close this issue accordingly.

About the plugin: this is an example of one that needs to follow core changes closely because it includes overrides for essential issue views. The

latest changes to (a fork of) the original plugin were for Redmine 3.3.8 and 4.0.x.

Note that uninstalling the plugin includes a db migration (roll-back). Besides that, after uninstalling it, all formerly-archived issue categories will

become usable as regular again by your users (conform the core behavior).

#4 - 2021-08-26 10:12 - Thomas Zauner

Yup, thanks for the explanation. I have never checked, how the plugin really worked.

Looks like the plugin simple overrides the whole file (eg. issues.html.erb) and of course any changes made in the original redmine version got lost

until someone updates the changes.

Maybe I will create a fork and readd the functionality for 4.2.2, but all in all, this feature would be nice to have in redmine itself instead of a plugin.

Issue #16188 already exists a while.

#5 - 2021-08-26 11:23 - Mischa The Evil

Thomas Zauner wrote:

Looks like the plugin simple overrides the whole file (eg. issues.html.erb) and of course any changes made in the original redmine version got

lost until someone updates the changes.

 Indeed. Unless a plugin uses something like Deface for their core view changes, that's the reality.

Maybe I will create a fork and readd the functionality for 4.2.2, [...]

 FWIW: It shouldn't be all too difficult. Though note that there seems to be a defect in the original upstream implementation of the feature too (which

seems already fixed in the latest updated fork).

[...] but all in all, this feature would be nice to have in redmine itself instead of a plugin.

 If you're really up to it, it should also not be very hard to port this plugin implementation of the feature into a fully-fledged core patch to propose for

upstream integration yourself... As long as it provides test coverage it might get reviewed and considered.

#6 - 2021-08-26 12:00 - Thomas Zauner

Mischa The Evil wrote:

If you're really up to it, it should also not be very hard to port this plugin implementation of the feature into a fully-fledged core patch to propose

for upstream integration yourself... As long as it provides test coverage it might get reviewed and considered.

 I will have a look into it I guess.

Havent developed any ruby application yet. I think porting the plugin (which seem to be several categories.reject(if archived)) wont be to much effort.

But I will have to check how to run/debug the ruby redmine application and then check, how to test this. And how other tests are written.

#7 - 2021-08-26 22:12 - Thomas Zauner

I've looked into the contribution page and the forum. The ruby code is checked out (via github).

Could you provide me with further information, how to get this ruby rails project running to test my changes? I'm somewhat lost right now... :)

#8 - 2021-08-29 05:40 - Mischa The Evil

Thomas Eccard: at first: you shouldn't post to closed issues. The chances that your post is read or that you'll get an actual reply are very slim.

Despite the above, let me make clear that you shouldn't embark on a project like this unless you have at least a solid basic understanding of Ruby,

Ruby on Rails, Redmine and their interplay. Especially in this case where the original plugin implementation has defects and is incomplete to begin

with.

If you decide to carry-on nevertheless and run into specific problems or questions, you should post into the forums instead as we don't provide such

support in the issues which are solely meant for core issue tracking.
